/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef DOCUMENTHOLDER_H_INCLUDED
#define DOCUMENTHOLDER_H_INCLUDED

#include <gtkmm.h>

#include <c4scripter/c4s-functionbar.h>
#include <c4scripter/c4s-enginefunctionlist.h>
#include <c4scripter/c4s-customfunction.h>
#include <c4scripter/c4s-preferences.h>

#include "Document.h"

class DocumentHolder: public Gtk::VBox
{
public:
  DocumentHolder(const Document::KeywordList& keywords, C4sEngineFunctionList* engine_list, C4sPreferences* preferences);
  DocumentHolder(const std::string& file, const Document::KeywordList& keywords, C4sEngineFunctionList* engine_list, C4sPreferences* preferences);
  
  Document& get_document() { return m_document; }
  const Document& get_document() const { return m_document; }

  C4sFunctionBar* get_function_bar() { return m_function_bar; }
  const C4sFunctionBar* get_function_bar() const { return m_function_bar; }
  
private:
  Document m_document;
  C4sFunctionBar* m_function_bar;

  static void on_function_selected_static(C4sFunctionBar* bar, C4sCustomFunction* function, gpointer user_data) { static_cast<DocumentHolder*>(user_data)->on_function_selected(function); }
  void on_function_selected(const C4sCustomFunction* function);
};

#endif // DOCUMENTHOLDER_H_INCLUDED
