/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef FINDDIALOG_H_INCLUDED
#define FINDDIALOG_H_INCLUDED

#include <gtkmm.h>
#include "FileHolder.h"

class FindDialog: public Gtk::Dialog
{
public:
  FindDialog(Gtk::Window& parent, FileHolder& file_holder);

  void set_search_only(bool search_only);
private:
  virtual void on_response(int response_id);
  virtual void on_show();

  bool search_once(const Gtk::TextIter& from, const Gtk::TextIter* to, Gtk::TextIter& match_start, Gtk::TextIter& match_end);
  bool search_range(const Gtk::TextIter& from, const Gtk::TextIter* to, Gtk::TextIter& match_start, Gtk::TextIter& match_end);
  bool search_wrap(const Gtk::TextIter& from, Gtk::TextIter& match_start, Gtk::TextIter& match_end);
  bool search_sel(const Gtk::TextIter& from);

  void find();
  void replace();
  void replace_all();

  FileHolder& m_file_holder;

  Gtk::Table m_search_table;
  Gtk::Label m_find_label;
  Gtk::Label m_replace_label;
  Gtk::Entry m_find_entry;
  Gtk::Entry m_replace_entry;

  Gtk::CheckButton m_case_sensitive;
  Gtk::CheckButton m_whole_word;
  Gtk::CheckButton m_backwards;
  Gtk::CheckButton m_wrap_around;

  Gtk::Button* m_replace_button;
  Gtk::Button* m_replace_all_button;
};

#endif // FINDDIALOG_H_INCLUDED
