/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_FUNCTIONQUERYWIDGET_H__
#define __C4S_FUNCTIONQUERYWIDGET_H__

#include <gtk/gtkvbox.h>
#include <gtk/gtkwindow.h>

G_BEGIN_DECLS

#define C4S_TYPE_FUNCTION_QUERY_WIDGET			(c4s_function_query_widget_get_type())
#define C4S_FUNCTION_QUERY_WIDGET(obj)			(G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_FUNCTION_QUERY_WIDGET, C4sFunctionQueryWidget))
#define C4S_FUNCTION_QUERY_WIDGET_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_FUNCTION_QUERY_WIDGET, C4sFunctionQueryWidgetClass))
#define C4S_IS_FUNCTION_QUERY_WIDGET(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_FUNCTION_QUERY_WIDGET))
#define C4S_IS_FUNCTION_QUERY_WIDGET_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_FUNCTION_QUERY_WIDGET))
#define C4S_FUNCTION_QUERY_WIDGET_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_FUNCTION_QUERY_WIDGET, C4sFunctionQueryWidgetClass))

#define C4S_TYPE_FUNCTION_QUERY_ACTION                  (c4s_function_query_action_get_type())

typedef struct _C4sFunctionQueryWidgetClass C4sFunctionQueryWidgetClass;
typedef struct _C4sFunctionQueryWidget C4sFunctionQueryWidget;

typedef enum _C4sFunctionQueryAction {
	C4S_FUNCTION_QUERY_ACTION_CHM,
	C4S_FUNCTION_QUERY_ACTION_ONLINE
} C4sFunctionQueryAction;

struct _C4sFunctionQueryWidgetClass
{
  GtkVBoxClass parent_class;
  
  /*void(*update)(
    C4sFunctionQueryWidget*,
    C4sFunctionQueryAction,
    const gchar*
  );*/
};

struct _C4sFunctionQueryWidget
{
  GtkVBox parent_instance;
};

GType
c4s_function_query_action_get_type(void) G_GNUC_CONST;

GType
c4s_function_query_widget_get_type(void) G_GNUC_CONST;

C4sFunctionQueryWidget*
c4s_function_query_widget_new(GtkWindow* parent);

C4sFunctionQueryAction
c4s_function_query_widget_get_action(const C4sFunctionQueryWidget* widget);

void
c4s_function_query_widget_set_action(C4sFunctionQueryWidget* widget,
                                     C4sFunctionQueryAction action);

gchar*
c4s_function_query_widget_get_chm(const C4sFunctionQueryWidget* dialog);

void
c4s_function_query_widget_set_chm(C4sFunctionQueryWidget* widget,
                                  const gchar* path);

G_END_DECLS

#endif /* __C4S_FUNCTIONQUERYWIDGET_H__ */
