/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __C4S_PREFERENCESDOCS_H__
#define __C4S_PREFERENCESDOCS_H__

#include <c4scripter/c4s-preferencespage.h>
#include <c4scripter/c4s-enginefunctionlist.h>
#include <c4scripter/c4s-preferences.h>

G_BEGIN_DECLS

#define C4S_TYPE_PREFERENCES_DOCS             (c4s_preferences_docs_get_type())
#define C4S_PREFERENCES_DOCS(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), C4S_TYPE_PREFERENCES_DOCS, C4sPreferencesDocs))
#define C4S_PREFERENCES_DOCS_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), C4S_TYPE_PREFERENCES_DOCS, C4sPreferencesDocsClass))
#define C4S_IS_PREFERENCES_DOCS(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), C4S_TYPE_PREFERENCES_DOCS))
#define C4S_IS_PREFERENCES_DOCS_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), C4S_TYPE_PREFERENCES_DOCS))
#define C4S_PREFERENCES_DOCS_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), C4S_TYPE_PREFERENCES_DOCS, C4sPreferencesDocsClass))

typedef struct _C4sPreferencesDocsClass C4sPreferencesDocsClass;
typedef struct _C4sPreferencesDocs C4sPreferencesDocs;

struct _C4sPreferencesDocsClass
{
  C4sPreferencesPageClass parent_class;
};

struct _C4sPreferencesDocs
{
  C4sPreferencesPage parent_instance;
};

GType
c4s_preferences_docs_get_type(void) G_GNUC_CONST;

C4sPreferencesDocs*
c4s_preferences_docs_new(C4sPreferences* preferences,
                         C4sEngineFunctionList* engine_function_list);

G_END_DECLS

#endif /* __C4S_PREFERENCESDOCS_H__ */
