/* c4scripter - A GTK+ based C4Script editor
 * Copyright (C) 2006 Bernhard Bonigl, Armin Burgmeier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <c4scripter/c4s-preferencespage.h>

static GtkVBoxClass* parent_class = NULL;

static void
c4s_preferences_page_init(C4sPreferencesPage* page)
{
  gtk_box_set_spacing(GTK_BOX(page), 6);
  gtk_container_set_border_width(GTK_CONTAINER(page), 12);
}

static void
c4s_preferences_page_class_init(C4sPreferencesPageClass* klass)
{
  parent_class = GTK_VBOX_CLASS(g_type_class_peek_parent(klass));
}

GType
c4s_preferences_page_get_type(void)
{
  static GType our_type = 0;

  if(our_type == 0)
  {
    static const GTypeInfo our_info = {
      sizeof(C4sPreferencesPageClass),
      (GBaseInitFunc)NULL,
      (GBaseFinalizeFunc)NULL,
      (GClassInitFunc)c4s_preferences_page_class_init,
      NULL,
      NULL,
      sizeof(C4sPreferencesPage),
      0,
      (GInstanceInitFunc)c4s_preferences_page_init,
      NULL
    };

    our_type = g_type_register_static(
      GTK_TYPE_VBOX,
      "C4sPreferencesPage",
      &our_info,
      0
    );
  }

  return our_type;
}

C4sOptionGroup*
c4s_preferences_page_add_option_group(C4sPreferencesPage* page,
                                      const gchar* label)
{
  C4sOptionGroup* group;
  group = c4s_option_group_new(label);
  
  gtk_box_pack_start(GTK_BOX(page), GTK_WIDGET(group), FALSE, FALSE, 0);
  gtk_widget_show(GTK_WIDGET(group));

  return group;
}
